<div id="order-timeline">
  <v-skeleton-loader
    class="mx-auto mt-10"
    width="100%"
    type="card"
    v-if="loadingTable"
  >
  </v-skeleton-loader>
  <div v-else>
    <div class="d-flex align-center justify-space-between">
      <nuxt-link to="/admin/order" class="text-decoration-none">
        <div class="d-flex align-center">
          <v-icon> mdi-arrow-left </v-icon>
          <p class="mb-0 ml-2 fsize-20 lightContentPrimary">
            {{orderDetail.orderCode}}
          </p>
          <div class="border-paid rounded px-4 ml-2">Paid</div>
        </div>
      </nuxt-link>
      <div class="d-flex align-center">
        <v-btn
          color="#48c78e"
          class="mr-3 elevation-0"
          @click="onPrinfFilePdf()"
          :disabled="loadingPrintf"
        >
          <v-progress-circular
            indeterminate
            color="#076CE3"
            v-if="loadingPrintf"
            size="22"
          >
          </v-progress-circular>
          <div class="d-flex align-center" v-else>
            <v-icon color="white"> mdi-cloud-print </v-icon>
            <span class="ml-2 text-white text-none"> Prinft PDF </span>
          </div>
        </v-btn>

        <!-- <v-menu offset-y>
          <template v-slot:activator="{ on, attrs }">
            <v-btn
              color="white"
              class="elevation-0"
              :disabled="loadingOrder"
              v-bind="attrs"
              v-on="on"
            >
              <v-progress-circular
                indeterminate
                color="#076CE3"
                v-if="loadingOrder"
                size="22"
              >
              </v-progress-circular>
              <span class="ml-2 text-none" v-else> More actions </span>
            </v-btn>
          </template>
          <v-list>
            <v-list-item>
              <v-list-item-title>
                <div class="flex items-center">
                  <v-icon color="black" size="14"> mdi-alert-outline </v-icon>
                  <span class="ml-2 text-sm"> Mark as urgent </span>
                </div>
              </v-list-item-title>
            </v-list-item>
            <v-list-item>
              <v-list-item-title> 2 </v-list-item-title>
            </v-list-item>
            <v-list-item>
              <v-list-item-title> 3 </v-list-item-title>
            </v-list-item>
          </v-list>
        </v-menu> -->
      </div>
    </div>
    <div>
      <div class="mt-10" id="order-pay">
        <div
          class="alert-time-line"
          v-if="orderDetail && orderDetail.shippingAddress"
        >
          <v-row no-gutters>
            <v-col cols="12" sm="2">
              <p class="mb-0 fsize-13 font-weight-medium">Paid by</p>
            </v-col>
            <v-col cols="12" sm="10">
              <p class="mb-0 fsize-13 font-weight-medium">
                {{orderDetail.shippingAddress.firstName}}
                {{orderDetail.shippingAddress.lastName}}
              </p>
            </v-col>
          </v-row>

          <v-row no-gutters>
            <v-col cols="12" sm="2">
              <p class="mb-0 fsize-13 font-weight-medium">At</p>
            </v-col>
            <v-col cols="12" sm="10">
              <p class="mb-0 fsize-13 font-weight-medium">
                {{orderDetail.createdAt && formatDate(orderDetail.createdAt)}}
              </p>
            </v-col>
          </v-row>

          <v-row no-gutters>
            <v-col cols="12" sm="2">
              <p class="mb-0 fsize-13 font-weight-medium">From</p>
            </v-col>
            <v-col cols="12" sm="10">
              <p class="mb-0 fsize-13 font-weight-medium">
                {{orderDetail.shippingAddress.country}} -
                <a
                  :href="`https://${orderDetail.storeId.domain}`"
                  target="_blank"
                  >{{orderDetail.storeId && orderDetail.storeId.domain}}</a
                >
                <a
                  :href="elemProduct.link"
                  v-for="(elemProduct,i) in listLinkProduct"
                  :key="i"
                  class="mr-2"
                  target="_blank"
                >
                  {{elemProduct.name && elemProduct.name.length > 25 ?
                  elemProduct.name.slice(0,25) + '...' : elemProduct.name}}
                </a>
              </p>
            </v-col>
          </v-row>

          <v-row no-gutters>
            <v-col cols="12" sm="2">
              <p class="mb-0 fsize-13 font-weight-medium">Pay via</p>
            </v-col>
            <v-col cols="12" sm="10">
              <p class="mb-0 fsize-13 font-weight-medium">
                <span
                  class="font-weight-bold"
                  v-if="orderDetail && orderDetail.paypal && orderDetail.paypal.paymentID"
                  >PAYPAL</span
                >
                <span class="font-weight-bold" v-else>STRIPE</span>
                <span
                  v-if="orderDetail && orderDetail.paypal && orderDetail.paypal.paymentID"
                >
                  -
                  <span class="font-weight-bold">
                    {{orderDetail.paymentId.name}}
                  </span>
                </span>

                <span
                  class="font-weight-bold"
                  v-if="orderDetail && orderDetail.paymentId && orderDetail.paymentId.name && orderDetail.stripe"
                >
                  - {{orderDetail.paymentId.name}}
                </span>
              </p>
            </v-col>
          </v-row>

          <v-row no-gutters>
            <v-col cols="12" sm="2">
              <p class="mb-0 fsize-13 font-weight-medium">Transaction ID:</p>
            </v-col>
            <v-col cols="12" sm="10">
              <p class="mb-0 fsize-13 font-weight-medium">
                <span
                  class="font-weight-bold"
                  v-if="orderDetail && orderDetail.paypal && orderDetail.paypal.paymentID"
                  >{{orderDetail.paypal.paymentID}}</span
                >
                <span
                  class="font-weight-bold"
                  v-if="orderDetail && orderDetail.stripe && orderDetail.stripe.id"
                >
                  {{orderDetail.stripe.id}}</span
                >
              </p>
            </v-col>
          </v-row>
        </div>
      </div>
      <div class="mt-5">
        <v-row>
          <v-col cols="12" sm="8" class="px-3" id="order-info">
            <v-card
              class="pa-6 ui-card-order"
              v-if="orderDetail && orderDetail.listSelectedProductId  && orderDetail.listSelectedProductId.length"
            >
              <div
                class="d-flex"
                :class="i > 0 ? 'mt-5' : ''"
                v-for="(product, i) in orderDetail.listSelectedProductId"
                :key="i"
              >
                <div style="width: 48px; height: 48px">
                  <img
                    :src="convertImage(product.imageUrl)"
                    alt=""
                    class="rounded-lg"
                    width="100%"
                    height="100%"
                    v-if="product.imageUrl"
                  />
                  <img
                    src="~/assets/images/thumbnails-image.png"
                    alt=""
                    class="rounded-lg"
                    width="100%"
                    height="100%"
                    v-else
                  />
                </div>
                <div class="d-flex justify-space-between fwidth ml-3">
                  <div style="max-width: 375px">
                    <div class="d-flex align-center">
                      <p class="fsize-13 mb-0 color-green-timeline">
                        {{product.productName}}
                      </p>
                    </div>
                    <p
                      class="fsize-13 mb-0"
                      v-if="product  && product.listValue && product.listValue.length"
                    >
                      {{product.listValue.join(" / ")}}
                    </p>
                    <!-- <div class="d-flex align-center">
                      <p class="mb-0 fsize-13 lightContentPrimary">
                        {{orderDetail.orderCode}} {{orderDetail.createdAt &&
                        formatDate(orderDetail.createdAt)}}
                      </p>
                    </div> -->
                    <div style="margin: 1rem 0rem">
                      <a
                        :href="`https://t.17track.net/en#nums=${orderDetail.trackingNumber}`"
                        target="_blank"
                        class="mb-0 fsize-13 lightContentPrimary font-weight-medium"
                        v-if="orderDetail.trackingNumber"
                      >
                        <span class="color-green-timeline font-weight-medium">
                          {{orderDetail.trackingNumber}}
                        </span>
                      </a>
                      <p
                        class="mb-0 fsize-13 lightContentPrimary font-weight-medium"
                        v-else
                      >
                        No Tracking Number
                      </p>
                      <p
                        class="mb-0 fsize-13 lightContentPrimary font-weight-medium"
                        v-if="product.sku"
                      >
                        SKU:
                        <a :href="convertLink(product)" target="_blank"
                          >{{product.sku}}</a
                        >
                      </p>
                    </div>
                  </div>
                  <div>
                    <p class="fsize-13 mb-0 font-weight-medium">
                      ${{product.price}} × {{product.quantity}}
                    </p>
                  </div>
                  <div>
                    <p class="fsize-13 mb-0 font-weight-medium">
                      ${{$utils.formatCurrencyFloat(product.price *
                      product.quantity)}}
                    </p>
                  </div>
                </div>
              </div>
              <div class="ml-14">
                <p
                  class="mb-0 fsize-13 lightContentPrimary font-weight-medium"
                  v-if="orderDetail.carrierCode"
                >
                  Carrier Code: {{orderDetail && orderDetail.carrierCode}}
                </p>
              </div>
              <div class="d-flex align-center justify-end">
                <p class="mb-0 fsize-18">Order Status:</p>
                <div class="rounded px-4 py-2 ml-2">
                  <span
                    class="text-blue-500"
                    v-if="orderDetail.orderStatus === 'processing'"
                  >
                    Processing
                  </span>
                  <span
                    class="text-orange-500"
                    v-if="orderDetail.orderStatus === 'pending'"
                  >
                    Pending
                  </span>
                  <span
                    class="text-red-500"
                    v-if="orderDetail.orderStatus === 'canceled'"
                  >
                    Canceled
                  </span>
                  <span
                    class="text-green-500"
                    v-if="orderDetail.orderStatus === 'fulfilled'"
                  >
                    Fulfilled
                  </span>
                </div>
              </div>
            </v-card>
            <v-card class="pa-6 ui-card-order mt-5">
              <div class="d-flex align-center justify-space-between">
                <div style="width: 20%">
                  <p class="mb-0 color-main-menu font-weight-light">Subtotal</p>
                </div>
                <div style="width: 60%">
                  <p class="mb-0 color-main-menu font-weight-light">
                    {{orderDetail.totalQuantity}} items
                  </p>
                </div>
                <div style="width: 20%">
                  <p class="mb-0 color-main-menu font-weight-light text-end">
                    ${{calcSubtotal &&
                    $utils.formatCurrencyFloat(calcSubtotal)}}
                  </p>
                </div>
              </div>
              <div class="d-flex align-center justify-space-between mt-3">
                <div style="width: 20%">
                  <p class="mb-0 color-main-menu font-weight-light">Shipping</p>
                </div>
                <div style="width: 60%">
                  <p class="mb-0 color-main-menu font-weight-light">
                    <!-- Default Shipping -->
                  </p>
                </div>
                <div style="width: 20%">
                  <p class="mb-0 color-main-menu font-weight-light text-end">
                    ${{orderDetail.shipping}}
                  </p>
                </div>
              </div>
              <div class="d-flex align-center justify-space-between mt-3">
                <div>
                  <p
                    class="mb-0 lightContentPrimary font-weight-light"
                    v-if="orderDetail && orderDetail.coupon && orderDetail.coupon.code"
                  >
                    <span
                      >{{orderDetail.coupon.code}} (
                      <span v-if="orderDetail.coupon.discountType !== 3">
                        <span v-if="orderDetail.coupon.discountType === 2"
                          >${{orderDetail.coupon.discount}}</span
                        >

                        <span v-if="orderDetail.coupon.discountType === 1"
                          >{{calcDiscountPercentPrice}}%
                        </span>
                      </span>
                      <span v-else> Freeshipping </span>
                      )
                    </span>
                  </p>
                  <p class="mb-0 lightContentPrimary font-weight-light" v-else>
                    Discount
                  </p>
                </div>
                <div>
                  <p class="mb-0 lightContentPrimary font-weight-light">
                    -${{orderDetail.discount || 0}}
                  </p>
                </div>
              </div>
              <div class="d-flex align-center justify-space-between mt-3">
                <div>
                  <p class="mb-0 lightContentPrimary font-weight-bold">
                    Paid by customer
                  </p>
                </div>
                <div>
                  <p class="mb-0 lightContentPrimary font-weight-bold">
                    ${{orderDetail.total &&
                    $utils.formatCurrencyFloat(orderDetail.total -
                    orderDetail.tip) || 0}}
                  </p>
                </div>
              </div>

              <div class="d-flex align-center justify-space-between mt-3">
                <div>
                  <p class="mb-0 lightContentPrimary font-weight-light">Tip</p>
                </div>
                <div>
                  <p class="mb-0 lightContentPrimary font-weight-light">
                    ${{orderDetail.tip || 0}}
                  </p>
                </div>
              </div>
              <div class="d-flex align-center justify-space-between mt-3">
                <div>
                  <p class="mb-0 lightContentPrimary font-weight-light">
                    Total Refund
                  </p>
                </div>
                <div>
                  <p class="mb-0 lightContentPrimary font-weight-light">$0</p>
                </div>
              </div>
              <div class="d-flex align-center justify-space-between mt-3">
                <div>
                  <p class="mb-0 lightContentPrimary font-weight-bold">
                    Net Payment
                  </p>
                </div>
                <div>
                  <p class="mb-0 lightContentPrimary font-weight-bold">
                    ${{ $utils.formatCurrencyFloat(calcTotalPrice) || 0}}
                  </p>
                </div>
              </div>
            </v-card>
            <div class="mt-5" id="">
              <div class="d-flex align-center justify-space-between">
                <p class="ml-5 mb-0 fsize-20">Timeline</p>
                <v-btn
                  color="#48c78e"
                  class="elevation-0"
                  @click="openDialogCreateTimeline()"
                >
                  <span class="white--text text-none"> Add timeline </span>
                </v-btn>
              </div>
              <div
                class="mt-5"
                v-if="orderDetail && orderDetail.timeLine && orderDetail.timeLine.length"
              >
                <v-timeline dense clipped>
                  <v-timeline-item
                    class="mb-4"
                    color="blue"
                    icon-color="blue lighten-2"
                    small
                    v-for="(timeline, i) in orderDetail.timeLine"
                    :key="i"
                  >
                    <v-row justify="space-between">
                      <v-col cols="7"> {{timeline.content}} </v-col>
                      <v-col class="text-right" cols="5">
                        <div class="d-flex align-center justify-end">
                          <p class="mb-0 mr-3 fsize-14 font-weight-medium">
                            {{timeline.createdAt &&
                            formatDate(timeline.createdAt)}}
                          </p>
                          <v-btn
                            icon
                            fab
                            x-small
                            color="red"
                            @click="openDialogDeleteTimeline(timeline._id)"
                          >
                            <v-icon> mdi-delete </v-icon>
                          </v-btn>
                        </div>
                      </v-col>
                    </v-row>
                  </v-timeline-item>
                  <!-- <v-timeline-item class="mb-4" hide-dot>
                <v-btn class="mx-0" color="#008060" outlined>
                  <span class="text-none">
                    Resend Email
                  </span>
                </v-btn>
              </v-timeline-item> -->
                </v-timeline>
              </div>
            </div>
          </v-col>
          <v-col cols="12" sm="4" class="px-3" id="order-customer">
            <v-card
              class="pa-6 ui-card-order"
              v-if="orderDetail && orderDetail.shippingAddress"
            >
              <div class="d-flex align-center justify-space-between">
                <p class="mb-0 font-weight-bold">Customer</p>
                <v-btn icon @click="openDialogEditShipping()">
                  <v-icon color="#008060"> mdi-pencil-box-outline </v-icon>
                </v-btn>
              </div>
              <div class="mt-4">
                <p class="mb-0 lightContentPrimary fsize-14">
                  {{orderDetail.shippingAddress.firstName}}
                  {{orderDetail.shippingAddress.lastName}}
                </p>
                <p class="mb-0 mt-2 lightContentPrimary fsize-14">
                  {{orderDetail.shippingAddress.email}}
                </p>
                <!-- <p class="mb-0 mt-2 lightContentPrimary fsize-14">
                  + {{orderDetail.relatedOrder}} Related Orders
                </p> -->
              </div>
              <v-divider class="mt-4"></v-divider>
              <div class="mt-4">
                <p class="mb-0 font-weight-bold">Shipping Address</p>
                <p
                  class="mb-0 mt-4 lightContentPrimary fsize-14 font-weight-bold"
                >
                  {{orderDetail.shippingAddress.firstName}}
                  {{orderDetail.shippingAddress.lastName}}
                </p>
                <p class="mb-0 mt-2 lightContentPrimary fsize-14">
                  {{orderDetail.shippingAddress.email}}
                </p>
                <p class="mb-0 mt-2 lightContentPrimary fsize-14">
                  {{orderDetail.shippingAddress.address}}
                </p>
                <p class="mb-0 mt-2 lightContentPrimary fsize-14">
                  {{orderDetail.shippingAddress.city}}
                </p>
                <p class="mb-0 mt-2 lightContentPrimary fsize-14">
                  {{orderDetail.shippingAddress.state}}
                </p>
                <p class="mb-0 mt-2 lightContentPrimary fsize-14">
                  {{orderDetail.shippingAddress.phoneNumber}}
                </p>
                <p class="mb-0 mt-2 lightContentPrimary fsize-14">
                  {{orderDetail.shippingAddress.country}}
                </p>
                <p class="mb-0 mt-2 lightContentPrimary fsize-14">
                  {{orderDetail.shippingAddress.zipCode}}
                </p>
              </div>
              <v-divider class="mt-4"></v-divider>
              <div class="mt-4">
                <p class="mb-0 font-weight-bold">Billing Address</p>
                <p
                  class="mt-4 mb-0 lightContentPrimary fsize-14"
                  v-if="billingSameShippingAddress"
                >
                  Same as shipping address
                </p>
                <div v-else>
                  <p
                    class="mb-0 mt-4 lightContentPrimary fsize-14 font-weight-bold"
                  >
                    {{orderDetail.billingAddress &&
                    orderDetail.billingAddress.firstName}}
                    {{orderDetail.billingAddress &&
                    orderDetail.billingAddress.lastName}}
                  </p>
                  <p class="mb-0 mt-2 lightContentPrimary fsize-14">
                    {{orderDetail.billingAddress &&
                    orderDetail.billingAddress.email}}
                  </p>
                  <p class="mb-0 mt-2 lightContentPrimary fsize-14">
                    {{orderDetail.billingAddress &&
                    orderDetail.billingAddress.address}}
                  </p>
                  <p class="mb-0 mt-2 lightContentPrimary fsize-14">
                    {{orderDetail.billingAddress &&
                    orderDetail.billingAddress.city}}
                  </p>
                  <p class="mb-0 mt-2 lightContentPrimary fsize-14">
                    {{orderDetail.billingAddress &&
                    orderDetail.billingAddress.state}}
                  </p>
                  <p class="mb-0 mt-2 lightContentPrimary fsize-14">
                    {{orderDetail.billingAddress &&
                    orderDetail.billingAddress.phoneNumber}}
                  </p>
                  <p class="mb-0 mt-2 lightContentPrimary fsize-14">
                    {{orderDetail.billingAddress &&
                    orderDetail.billingAddress.country}}
                  </p>
                  <p class="mb-0 mt-2 lightContentPrimary fsize-14">
                    {{orderDetail.billingAddress &&
                    orderDetail.billingAddress.zipCode}}
                  </p>
                </div>
              </div>
              <div
                class="mt-10"
                v-if="orderDetail && orderDetail.fraudAnalysis"
              >
                <p class="mb-0 font-weight-bold">Fraud Analytics</p>
                <div class="mt-6">
                  <div class="bg-bg-hover px-4 rounded-xl w-fit text-sm">
                    <span>
                      {{orderDetail.fraudAnalysis.riskLevel || 'normal'}}
                    </span>
                  </div>
                </div>
                <div class="mt-3 text-sm">
                  Fraud Score: {{orderDetail.fraudAnalysis.riskScore || 0}}
                </div>
                <div class="mt-3 text-sm">
                  Client Information:
                  <p class="mb-0">
                    {{orderDetail.fraudAnalysis.ip}}
                    {{orderDetail.fraudAnalysis.userAgent}}
                  </p>
                </div>
              </div>
            </v-card>
          </v-col>
        </v-row>
      </div>
    </div>
  </div>

  <v-row justify="center">
    <v-dialog v-model="dialogTimeLine" :persistent="loading" max-width="380">
      <v-card>
        <div class="py-3 px-4 d-flex align-center justify-space-between">
          <p class="mb-0 fsize-18 font-weight-medium">Create TimeLine</p>
          <v-btn
            icon
            fab
            small
            @click="dialogTimeLine = false"
            :disabled="loading"
          >
            <v-icon> mdi-close </v-icon>
          </v-btn>
        </div>
        <v-divider></v-divider>
        <div id="hideBottomInput" class="py-3 px-4">
          <v-text-field
            dense
            outlined
            placeholder="Enter timeline"
            v-model="timeLine.content"
          ></v-text-field>
          <v-row class="mt-1">
            <v-col cols="12" sm="6" class="px-3">
              <p class="mb-1 fsize-14">Time Picker:</p>
              <div>
                <v-menu
                  ref="menu"
                  v-model="menuTimePicker"
                  :close-on-content-click="false"
                  right
                  :return-value.sync="timePicker"
                  transition="scale-transition"
                  offset-y
                  max-width="290px"
                  min-width="290px"
                >
                  <template v-slot:activator="{ on, attrs }">
                    <v-text-field
                      v-model="timePicker"
                      dense
                      outlined
                      prepend-inner-icon="mdi-clock-time-four-outline"
                      readonly
                      v-bind="attrs"
                      v-on="on"
                    >
                    </v-text-field>
                  </template>
                  <v-time-picker
                    v-if="menuTimePicker"
                    v-model="timePicker"
                    full-width
                    @click:minute="$refs.menu.save(timePicker)"
                  >
                  </v-time-picker>
                </v-menu>
              </div>
            </v-col>
            <v-col cols="12" sm="6" class="px-3">
              <p class="mb-1 fsize-14">Date Picker:</p>
              <div>
                <v-menu
                  v-model="menuDatePicker"
                  :close-on-content-click="false"
                  left
                  transition="scale-transition"
                  offset-y
                  min-width="auto"
                >
                  <template v-slot:activator="{ on, attrs }">
                    <v-text-field
                      v-model="datePicker"
                      prepend-inner-icon="mdi-calendar"
                      outlined
                      dense
                      readonly
                      v-bind="attrs"
                      v-on="on"
                    >
                    </v-text-field>
                  </template>
                  <v-date-picker
                    v-model="datePicker"
                    @input="menuDatePicker = false"
                  ></v-date-picker>
                </v-menu>
              </div>
            </v-col>
          </v-row>
        </div>
        <div class="py-3 px-4">
          <div class="d-flex align-center justify-end">
            <v-btn
              color="#257953"
              outlined
              class="mr-3"
              @click="dialogTimeLine = false"
              :disabled="loading"
            >
              <span class="color-green-timeline"> Cancel </span>
            </v-btn>
            <v-btn
              color="#257953"
              class="elevation-0"
              @click="onCreateTimeLine()"
              :disabled="loading"
            >
              <v-progress-circular
                indeterminate
                color="#257953"
                v-if="loading"
                size="22"
              >
              </v-progress-circular>
              <span class="white--text" v-else> Save </span>
            </v-btn>
          </div>
        </div>
      </v-card>
    </v-dialog>
  </v-row>

  <v-row justify="center">
    <v-dialog
      v-model="dialogDeleteTimeline"
      :persistent="loading"
      max-width="380"
    >
      <v-card class="pb-4">
        <div class="d-flex justify-center pt-8">
          <v-icon color="#FF5252" size="54"> mdi-trash-can </v-icon>
        </div>
        <div class="py-3 px-4">
          <p class="mb-0 fsize-18 text-center">
            Are you sure you want to delete this timeline?
          </p>
          <p class="mb-0 fsize-13 text-center">
            Note that this action cannot be undone
          </p>
        </div>
        <div class="py-3 px-4">
          <div class="d-flex align-center justify-space-between">
            <v-btn
              color="black"
              width="49%"
              outlined
              class="mr-3"
              @click="dialogDeleteTimeline = false"
              :disabled="loading"
            >
              <span class=""> Cancel </span>
            </v-btn>
            <v-btn
              color="#FF5252"
              width="49%"
              class="elevation-0"
              @click="onDeleteTimeLine()"
              :disabled="loading"
            >
              <v-progress-circular
                indeterminate
                color="#FF5252"
                v-if="loading"
                size="22"
              >
              </v-progress-circular>
              <span class="white--text" v-else> Delete </span>
            </v-btn>
          </div>
        </div>
      </v-card>
    </v-dialog>
  </v-row>

  <v-row justify="center">
    <v-dialog
      v-model="dialogEditShipping"
      :persistent="loading"
      max-width="480"
    >
      <v-card class="pa-4">
        <h4 class="black--text">Edit Shipping Address</h4>
        <div class="py-3" id="hideBottomInput">
          <v-row no-gutters v-if="shippingAddress">
            <v-col cols="12" class="mt-3">
              <p class="mb-0 contentBlack fsize-14">First name:</p>
              <v-text-field dense outlined v-model="shippingAddress.firstName">
              </v-text-field>
            </v-col>
            <v-col cols="12" class="mt-3">
              <p class="mb-0 contentBlack fsize-14">Last name:</p>
              <v-text-field dense outlined v-model="shippingAddress.lastName">
              </v-text-field>
            </v-col>
            <v-col cols="12" class="mt-3">
              <p class="mb-0 contentBlack fsize-14">Email:</p>
              <v-text-field dense outlined v-model="shippingAddress.email">
              </v-text-field>
            </v-col>
            <v-col cols="12" class="mt-3">
              <p class="mb-0 contentBlack fsize-14">Address:</p>
              <v-text-field dense outlined v-model="shippingAddress.address">
              </v-text-field>
            </v-col>
            <v-col cols="12" class="mt-3">
              <p class="mb-0 contentBlack fsize-14">Country:</p>
              <v-text-field dense outlined v-model="shippingAddress.country">
              </v-text-field>
            </v-col>
            <v-col cols="12" class="mt-3">
              <p class="mb-0 contentBlack fsize-14">City:</p>
              <v-text-field dense outlined v-model="shippingAddress.city">
              </v-text-field>
            </v-col>
            <v-col cols="12" class="mt-3">
              <p class="mb-0 contentBlack fsize-14">State:</p>
              <v-text-field dense outlined v-model="shippingAddress.state">
              </v-text-field>
            </v-col>
            <v-col cols="12" class="mt-3">
              <p class="mb-0 contentBlack fsize-14">Phone number:</p>
              <v-text-field
                dense
                outlined
                v-model="shippingAddress.phoneNumber"
              >
              </v-text-field>
            </v-col>
            <v-col cols="12" class="mt-3">
              <p class="mb-0 contentBlack fsize-14">Zip code:</p>
              <v-text-field dense outlined v-model="shippingAddress.zipCode">
              </v-text-field>
            </v-col>
          </v-row>
        </div>
        <div class="py-3">
          <div class="d-flex align-center justify-space-between">
            <v-btn
              color="#076CE3"
              width="49%"
              outlined
              class="mr-3"
              @click="dialogEditShipping = false"
              :disabled="loading"
            >
              <span class="lightContentBlue"> Cancel </span>
            </v-btn>
            <v-btn
              color="#076CE3"
              width="49%"
              class="elevation-0"
              @click="onUpdateShippngAddress()"
              :disabled="loading"
            >
              <v-progress-circular
                indeterminate
                color="#076CE3"
                v-if="loading"
                size="22"
              >
              </v-progress-circular>
              <span class="white--text" v-else> Save </span>
            </v-btn>
          </div>
        </div>
      </v-card>
    </v-dialog>
  </v-row>
</div>
